textures/base_wall/glass02
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans
	sort 9
	surfaceparm lightfilter
	q3map_alphagen const 0.75
	surfaceparm nolightmap
	cull none
	qer_trans 	0.5
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/base_wall/glass03
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans
	sort 9
	surfaceparm nonsolid
	surfaceparm lightfilter
	q3map_alphagen const 0.75
	cull none
	qer_trans 	0.5
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/sfx/electroslimebox
{
        q3map_surfacelight	500
        surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm lightfilter
	q3map_lightimage textures/kwdm1/eslime123.jpg
	qer_editorimage textures/kwdm1/eslime123.tga
	cull none
	
	{
		map textures/kwdm1/eslime123.jpg
		blendFunc GL_ONE GL_ONE
                rgbgen wave sawtooth .1 1 0 0.125
                tcMod scroll 0 1
	}	
        {
		map textures/kwdm1/eslime123.jpg
		blendFunc GL_ONE GL_ONE
                rgbgen wave square 0 1 0.25 0.125
                tcMod scale  -1 1
                tcMod scroll 0 1
	}	
        {
		map textures/kwdm1/eslime123.jpg
		blendFunc GL_ONE GL_ONE
                rgbgen wave square 1 0 0 2
                tcMod scale  -1 1
			tcMod scroll 0 -2
	}	
        {
		map textures/kwdm1/eslime123.jpg
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 7.7
                tcMod scroll -1.3 1

	}	
}

textures/xccc_box/box_bolt
{
        q3map_surfacelight	100
        surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm lightfilter
	q3map_lightimage textures/xccc_box/box_bolt1.jpg
	qer_editorimage textures/xccc_box/box_bolt1.jpg
	cull none
	
	{
		animmap 4 textures/xccc_box/box_bolt1.jpg textures/xccc_box/box_bolt2.jpg textures/xccc_box/box_bolt1.jpg 
		blendFunc GL_ONE GL_ONE
                rgbgen wave sawtooth .1 .5 0 12
                
	}	
        {
		animmap 4 textures/xccc_box/box_bolt1.jpg textures/xccc_box/box_bolt2.jpg textures/xccc_box/box_bolt1.jpg 
		blendFunc GL_ONE GL_ONE
                rgbgen wave square 0 0 0.75 5
                
	}	
}


textures/sfx/healthfloor_box
{
		qer_editorimage textures/sfx/healthfloor.tga

        {
		map textures/sfx/proto_zzztpink.tga
                tcmod scroll 0 1
                tcMod turb 0 .25 0 1.6
                tcmod scale 2 2
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
	        clampmap textures/gothic_block/blocks18cgeomtrn2.tga
                blendFunc blend
                tcmod rotate 130
                tcMod stretch sin .8 0.2 0 .2
	        rgbGen identity
	}
        {
	        clampmap textures/gothic_block/blocks18cgeomtrn2.tga
		blendFunc blend
                tcmod rotate 80
                tcMod stretch sin .8 0.2 0 .1
	        rgbGen identity
	}
	{
	        clampmap textures/sfx/healthfloor.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/kwdm1/puffslow
{
	qer_editorimage gfx/misc/smokepuffragepro.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	deformvertexes autosprite
	sort 16
	cull none
{
clampmap gfx/misc/smokepuff2b.tga
blendFunc blend
tcmod scale 1 1
tcmod scroll 0.0 0.075
alphaGen const 0.15
alphafunc gt0
depthWrite
rgbgen identity
}
{
clampmap gfx/misc/smokepuff3.tga
blendFunc blend
alphaGen const 0.05
alphafunc gt0
tcmod scale 1 1
tcmod scroll 0. 0.1
depthWrite
rgbgen identity
}
{
clampmap gfx/misc/smokepuff2b.tga
blendFunc blend
alphaGen const 0.3
tcmod rotate 15
alphafunc gt0
depthWrite
rgbgen identity
}
{
map $lightmap

blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}

textures/kwdm1/stardust
{
surfaceparm nonsolid
cull none
qer_editorimage textures/kwdm1/knc_sdust1.jpg
{
clampmap textures/kwdm1/knc_sdust3.jpg
blendfunc add
tcmod rotate -6
}
{
clampmap textures/kwdm1/knc_sdust2.jpg
blendfunc add
tcmod rotate -4.100
}
{
clampmap textures/kwdm1/knc_sdust1.jpg
blendfunc add
tcmod rotate -4.05
}
}


textures/base_trim/tin2
{
q3map_nonplanar
q3map_shadeangle 180
        {
		rgbGen identity
		map $lightmap
	}
	//{
	//	map textures/base_trim/tin.tga
	//	blendFunc GL_DST_COLOR GL_SRC_ALPHA
	//	rgbGen identity
	//	alphaGen lightingSpecular
	//}
      //  {
		//map textures/base_trim/tinfx.tga
               // tcgen environment
		//blendFunc GL_ONE GL_ONE
		//rgbGen identity
	//}
       
        {
		map textures/base_trim/tin.tga
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}  

textures/xccc_6/moni_grid
{
surfaceparm nopicmip
surfaceparm nonsolid
surfaceparm trans
surfaceparm lightfilter
q3map_surfacelight 800
q3map_lightsubdivide 16

	{
	map textures/xccc_6/moni_grid.jpg
	blendfunc add
	rgbgen identity
	}

	{
	map $lightmap
	blendfunc filter
	rgbgen identity
	}
}

textures/xccc_box/box_pipe3_c
{
qer_editorimage textures/xccc_box/box_pipe3_c.tga
q3map_nonplanar
q3map_shadeangle 180
	{
	map textures/xccc_box/box_pipe3_c.tga
	rgbgen identity
	}

	{
	map $lightmap
	blendfunc filter
	rgbgen identity
	}
}

textures/xccc_box/box_pipe3_b
{
qer_editorimage textures/xccc_box/box_pipe3_b.tga
q3map_nonplanar
q3map_shadeangle 180
	{
	map textures/xccc_box/box_pipe3_b.tga
	rgbgen identity
	}

	{
	map $lightmap
	blendfunc filter
	rgbgen identity
	}
}

textures/xccc_box/box_x_pipe2
{
qer_editorimage textures/xccc_box/box_x_pipe2.tga
q3map_nonplanar
q3map_shadeangle 180
	{
	map textures/xccc_box/box_x_pipe2.tga
	rgbgen identity
	}

	{
	map $lightmap
	blendfunc filter
	rgbgen identity
	}
}

textures/xccc_6/x_pipe2
{
qer_editorimage textures/xccc_6/x_pipe2.tga
q3map_nonplanar
q3map_shadeangle 180
	{
	map textures/xccc_6/x_pipe2.tga
	rgbgen identity
	}

	{
	map $lightmap
	blendfunc filter
	rgbgen identity
	}
}


textures/xccc_box/burn_burnmrk
{
surfaceparm nonsolid
surfaceparm trans
polygonoffset
qer_editorimage gfx/damage/burn_med_mrk.tga
{
		map gfx/damage/burn_med_mrk.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		
}
}

textures/base_light/ceil1_34_3k
{
	surfaceparm nomarks
	q3map_surfacelight 1200
	light 1
	// Square tourquoise light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_34.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_34.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/base_light/ceil1_4_16k
{
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
	// Square tourquoise light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/xccc_6/x_xlight5_boxblue
{
	q3map_surfacelight 15000
	q3map_lightimage textures/xccc_6/x_xlight5_blendblue.jpg
	light 1
	q3map_lightsubdivide 32
	qer_editorimage textures/xccc_6/x_xlight5.tga
{
	map textures/xccc_6/x_xlight5.tga
	rgbGen identity
}
{
	map $lightmap
	blendfunc filter
	rgbGen identity
}
{
	map textures/xccc_6/x_xlight5_blendblue.jpg
	blendfunc add
	rgbGen identity
	
}
}

textures/xccc_6/x_xlight5_boxred
{
	q3map_surfacelight 15000
	q3map_lightimage textures/xccc_6/x_xlight5_blendred.jpg
	light 1
	q3map_lightsubdivide 32
	qer_editorimage textures/xccc_6/x_xlight5.tga
{
	map textures/xccc_6/x_xlight5.tga
	rgbGen identity
}
{
	map $lightmap
	blendfunc filter
	rgbGen identity
}
{
	map textures/xccc_6/x_xlight5_blendred.jpg
	blendfunc add
	rgbGen identity
	
}

}
textures/xccc_6/x_xlight5_red_in
{
	q3map_surfacelight 1000
	q3map_lightimage textures/xccc_6/x_xlight5_blendred.jpg
	light 1
	q3map_lightsubdivide 32
	qer_editorimage textures/xccc_6/x_xlight5.tga
{
	map textures/xccc_6/x_xlight5.tga
	rgbGen identity
}
{
	map $lightmap
	blendfunc filter
	rgbGen identity
}
{
	map textures/xccc_6/x_xlight5_blendred.jpg
	blendfunc add
	rgbGen identity
	
}
}

textures/xccc_6/x_xlight5_red_in2
{
	q3map_surfacelight 300
	q3map_lightimage textures/xccc_6/x_xlight5_blendred.jpg
	light 1
	q3map_lightsubdivide 32
	qer_editorimage textures/xccc_6/x_xlight5.tga
{
	map textures/xccc_6/x_xlight5.tga
	rgbGen identity
}
{
	map $lightmap
	blendfunc filter
	rgbGen identity
}
{
	map textures/xccc_6/x_xlight5_blendred.jpg
	blendfunc add
	rgbGen identity
}
}

textures/xccc_6/x_xlight5_blue
{
	q3map_surfacelight 30000
	light 1
	qer_editorimage textures/xccc_6/x_xlight5.tga
	q3map_lightimage textures/xccc_6/x_xlight5_blendblue.jpg
{
	map textures/xccc_6/x_xlight5.tga
	rgbGen identity
}
{
	map $lightmap
	blendfunc filter
	rgbGen identity
}
{
	map textures/xccc_6/x_xlight5_blendblue.jpg
	blendfunc add
	rgbGen identity	
}
}

textures/xccc_6/x_xlight5_blue_in
{
	q3map_surfacelight 1000
	light 1
	q3map_lightsubdivide 32
	qer_editorimage textures/xccc_6/x_xlight5.tga
	q3map_lightimage textures/xccc_6/x_xlight5_blendblue.jpg
{
	map textures/xccc_6/x_xlight5.tga
	rgbGen identity
}
{
	map $lightmap
	blendfunc filter
	rgbGen identity
}
{
	map textures/xccc_6/x_xlight5_blendblue.jpg
	blendfunc add
	rgbGen identity
	
}
}

textures/xccc_6/x_xlight5_blue_in2
{
	q3map_surfacelight 500
	light 1
	q3map_lightsubdivide 32
	qer_editorimage textures/xccc_6/x_xlight5.tga
	q3map_lightimage textures/xccc_6/x_xlight5_blendblue.jpg
{
	map textures/xccc_6/x_xlight5.tga
	rgbGen identity
}
{
	map $lightmap
	blendfunc filter
	rgbGen identity
}
{
	map textures/xccc_6/x_xlight5_blendblue.jpg
	blendfunc add
	rgbGen identity
	
}
}

textures/xccc_6/x_xlight5_bluetunnel
{
	q3map_surfacelight 7500
	q3map_lightimage textures/xccc_6/x_xlight5_blendblue.jpg
	light 1
	q3map_lightsubdivide 32
	qer_editorimage textures/xccc_6/x_xlight5.tga
{
	map textures/xccc_6/x_xlight5.tga
	rgbGen identity
}
{
	map $lightmap
	blendfunc filter
	rgbGen identity
}
{
	map textures/xccc_6/x_xlight5_blendblue.jpg
	blendfunc add
	rgbGen identity
	
}
}

textures/xccc_6/x_flare2_blue
{
	qer_editorimage textures/xccc_6/x_flare2_blue.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	deformVertexes autosprite2
	qer_trans 0.5
	sort 16
		{
		clampmap textures/xccc_6/x_flare2_blue.tga
		blendfunc add
		alphaFunc Ge128
		depthWrite
		
	}
}

textures/xccc_6/strogg_moni2
{
		qer_editorimage textures/xccc_box/box_tv_desk1.tga
		q3map_surfacelight 200
		q3map_lightfilter
{
		clampmap textures/xccc_box/box_tv_desk1.jpg
}
{
		map textures/xccc_box/box_tv_deskmain.jpg
		rgbgen wave sawtooth 0 0.25 0 25
		blendfunc add
}
{
		map textures/xccc_box/box_tv_deskmain.jpg
		rgbgen wave sawtooth 0 0.75 0 15
		blendfunc add
}

{
		map textures/xccc_6/specular.tga
		blendfunc add
		tcgen environment 
}
{
		map $lightmap
		blendfunc filter
		rgbgen identity
}
}

textures/xccc_6/moni_map_box
{
		qer_editorimage textures/xccc_box/box_tv_case1.tga
		q3map_surfacelight 200
		q3map_lightfilter
{
		map textures/xccc_box/box_tv_desk1.jpg
}
{
		clampmap textures/xccc_box/box_tv_deskmap.jpg
		rgbgen wave sawtooth 0 0.25 0 25
		blendfunc add
}
{
		map textures/xccc_6/specular.tga
		blendfunc add
		alphagen const 0.25
		tcgen environment 
}
{
		clampmap textures/xccc_box/box_tv_errorpage.jpg
		rgbgen wave sawtooth 0 0.75 0 15
		blendfunc add
}

{
		map textures/xccc_box/box_tv_case1.tga
		blendfunc blend
}
{
		map $lightmap
		blendfunc filter
		rgbgen identity
}
}

textures/xccc_6/moni_main_box
{
		qer_editorimage textures/xccc_box/box_tv_case1.tga
		q3map_surfacelight 200
		q3map_lightfilter
{
		map textures/xccc_box/box_tv_desk1.jpg
}
{
		map textures/xccc_box/box_tv_deskmain.jpg
		rgbgen wave sawtooth 0 0.25 0 25
		blendfunc add
}
{
		map textures/xccc_box/box_tv_deskmain.jpg
		rgbgen wave sawtooth 0 0.75 0 15
		blendfunc add
}
{
		map textures/xccc_6/specular.tga
		blendfunc add
		alphagen const 0.25
		tcgen environment 
}
{
		map textures/xccc_box/box_tv_case1.tga
		blendfunc blend
}
{
		map $lightmap
		blendfunc filter
		rgbgen identity
}
}

textures/xccc_6/moni_chart_box
{
		qer_editorimage textures/xccc_box/box_tv_case1.tga
		q3map_surfacelight 200
		q3map_lightfilter
{
		map textures/xccc_box/box_tv_desk1.jpg
}
{
		map textures/xccc_box/box_tv_map.jpg
		rgbgen wave sawtooth 0 0.25 0 25
		blendfunc add
}
{
		map textures/xccc_box/box_tv_map.jpg
		rgbgen wave sawtooth 0 0.75 0 15
		blendfunc add
}
{
		map textures/xccc_6/specular.tga
		blendfunc add
		alphagen const 0.25
		tcgen environment 
}
{
		map textures/xccc_box/box_tv_case1.tga
		blendfunc blend
}
{
		map $lightmap
		blendfunc filter
		rgbgen identity
}
}

textures/xccc_6/moni_data_box
{
		qer_editorimage textures/xccc_box/box_tv_case1.tga
		q3map_surfacelight 200
		q3map_lightfilter
{
		map textures/xccc_box/box_tv_desk1.jpg
}
{
		map textures/xccc_box/box_tv_data.jpg
		rgbgen wave sawtooth 0 0.25 0 25
		blendfunc add
}
{
		map textures/xccc_box/box_tv_data.jpg
		rgbgen wave sawtooth 0 0.75 0 15
		blendfunc add
}
{
		map textures/xccc_6/specular.tga
		blendfunc add
		alphagen const 0.25
		tcgen environment 
}
{
		map textures/xccc_box/box_tv_case1.tga
		blendfunc blend
}
{
		map $lightmap
		blendfunc filter
		rgbgen identity
}
}



textures/xccc_box/x_jaildr_k
{
	surfaceparm nomarks
	qer_editorimage textures/xccc_box/x_jaildr_k.tga
	q3map_lightsubdivide 32
	q3map_surfacelight 700
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/xccc_box/x_jaildr_k.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/xccc_box/x_jaildr_k.tga
		rgbGen wave sin 0.5 0.5 1 0.5
		blendfunc GL_ONE GL_ONE
	}
}


textures/xccc_6/x_metalpad
{
qer_editorimage textures/xccc_6/x_metalpad.jpg
{
		map textures/xccc_6/x_metalpad.jpg
		rgbgen identity
		
}
{
		map textures/xccc_6/specular.tga
		blendfunc gl_one gl_one
		rgbgen identity
		tcgen environment 
}
{
		map $lightmap
		blendfunc filter
		rgbgen identity
}
}


textures/xccc_box/box_teleflare
{
	qer_editorimage textures/xccc_box/xccc_box_fxback.tga
	q3map_lightfilter
	q3map_surfacelight 256
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	sort 16	
	q3map_alphagen const 0.5
{
	clampmap textures/xccc_box/xccc_box_fxback.tga
	blendfunc add
	alphagen const 0.75 
	alphafunc lt128
	depthwrite
	rgbGen wave sawtooth 0.825 1.5 0.012 12
	tcmod rotate -256
}
{
	map textures/xccc_box/xccc_box_fxfront.tga
	blendfunc add
	alphafunc LT128
	alphagen const 0.5
	depthwrite
	rgbGen wave sawtooth 0.012 1.5 0.625 24
	tcmod rotate 512
}
{
	map textures/xccc_box/xccc_box_fxfront.tga
	blendfunc add
	alphafunc LT128
	alphagen const 0.5
	depthwrite
	rgbGen wave sawtooth 0.825 1.5 0.625 24
	tcmod rotate -512
}
{
	map $lightmap
	blendfunc filter
	rgbgen identity
	depthfunc equal
}
}

textures/xccc_dm1/x_dm1_jumpflare1
{
	qer_editorimage textures/xccc_dm1/x_dm1_mflare1.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 1500
	sort 16
{
	animmap 24 textures/xccc_dm1/x_dm1_mflare5.tga textures/xccc_dm1/x_dm1_mflare3.tga textures/xccc_dm1/x_dm1_mflare2.tga textures/xccc_dm1/x_dm1_mflare1.tga textures/xccc_dm1/x_dm1_mflare2.tga textures/xccc_dm1/x_dm1_mflare3.tga textures/xccc_dm1/x_dm1_mflare5.tga
	blendfunc blend
	alphagen const 0.45
	depthwrite
	rgbGen wave sawtooth 0.825 1.5 0.625 24
}
{
	animmap 24 textures/xccc_dm1/x_dm1_mflare5.tga textures/xccc_dm1/x_dm1_mflare3.tga textures/xccc_dm1/x_dm1_mflare2.tga textures/xccc_dm1/x_dm1_mflare1.tga textures/xccc_dm1/x_dm1_mflare2.tga textures/xccc_dm1/x_dm1_mflare3.tga textures/xccc_dm1/x_dm1_mflare5.tga
	blendfunc blend
	alphagen const 0.15
	depthwrite
	rgbGen wave sawtooth 0.625 1.5 0.825 24
}

{
	map $lightmap
	depthfunc equal
	blendfunc filter
	rgbgen identity
}
}

textures/xccc_box/box_rock2
{
	q3map_nonPlanar
	q3map_shadeangle 179
	q3map_globaltexture
	surfaceparm dust
	q3map_forcemeta
	qer_editorimage textures/common/terrain.tga
	q3map_alphaMod dotproduct2 ( 0 0 1 )
	q3map_tcmod scale 0.5 0.5
	 
	
	{
		map textures/xccc_box/box_rock1.tga
		
		rgbGen identity
	}
	{
		map textures/xccc_box/box_rock2.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen Vertex
		
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/xccc_box/kw_grassybox
{
	q3map_nonPlanar
	q3map_shadeangle 89
	q3map_tcmod rotate 92
	q3map_globaltexture
	surfaceparm dust
	q3map_forcemeta
	q3map_surfaceModel models/mapobjects/dm18/dm18_grass2.ase 256000 1 2 10 12 75 1
	qer_editorimage textures/common/terrain.tga
	q3map_alphaMod dotproduct2 ( 0 0 1 )
	
	{
		map textures/xccc_box/box_grass1.tga
		rgbGen identity
	}
	{
		map textures/xccc_box/box_dirt1.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen Vertex
		
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/xccc_box/kw_grassyboxp
{
	q3map_nonPlanar
	q3map_shadeangle 89
	q3map_tcmod rotate 92
	q3map_globaltexture
	surfaceparm dust
	q3map_forcemeta
	qer_editorimage textures/common/terrain.tga
	q3map_alphaMod dotproduct2 ( 0 0 1 )
	
	{
		map textures/xccc_box/box_grass1.tga
		rgbGen identity
	}
	{
		map textures/xccc_box/box_dirt1.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen Vertex
		
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/dm18/x_grass1
{
qer_editorimage textures/dm18/x_grass1.tga
cull none
surfaceparm trans
q3map_forcemeta

{
	map	textures/dm18/x_grass1.tga
	blendfunc gl_one gl_zero
	alphafunc GE128
	depthwrite 
	rgbgen identity
} 
{
	map 	$lightmap
	blendfunc filter
	depthfunc equal
	rgbgen identity
}
}

textures/xccc_box/xccc_box_brick01
{
q3map_forcemeta
q3map_nonplanar
q3map_shadeangle 89
{
	map	textures/xccc_box/xccc_box_brick01.tga
	rgbgen identity
} 
{
	map 	$lightmap
	blendfunc filter
	rgbgen identity
}
} 

textures/xccc_box/xccc_box_brick01ns
{
q3map_forcemeta
q3map_nonplanar
q3map_shadeangle 89
surfaceparm nonsolid
qer_Editorimage textures/xccc_box/xccc_box_brick01.tga
{
	map	textures/xccc_box/xccc_box_brick01.tga
	rgbgen identity
} 
{
	map 	$lightmap
	blendfunc filter
	rgbgen identity
}
} 

textures/xccc_box/xccc_box_door1_blue
{
q3map_forcemeta
q3map_nonplanar
q3map_shadeangle 89
cull none
{
	map	textures/xccc_box/xccc_box_door1_blue.tga
	rgbgen identity
} 
{
	map 	$lightmap
	blendfunc filter
	rgbgen identity
}
} 

textures/xccc_box/xccc_box_door1_red
{
q3map_forcemeta
q3map_nonplanar
q3map_shadeangle 89
{
	map	textures/xccc_box/xccc_box_door1_red.tga
	rgbgen identity
} 
{
	map 	$lightmap
	blendfunc filter
	rgbgen identity
}
} 

textures/xccc_box/xccc_box_door1_white
{
q3map_forcemeta
q3map_nonplanar
q3map_shadeangle 89
cull none
{
	map	textures/xccc_box/xccc_box_door1_white.tga
	rgbgen identity
} 
{
	map 	$lightmap
	blendfunc filter
	rgbgen identity
}
} 

textures/xccc_box/box_bm_complex_decal
{
surfaceparm nomarks
surfaceparm trans
surfaceparm nonsolid
polygonoffset
qer_trans 0.75
{
	map	textures/xccc_box/box_bm_complex_decal.tga
	
	blendfunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
} 
} 

textures/xccc_box/box_bd_supplies_la
{
surfaceparm nomarks
nopicmip
surfaceparm trans
surfaceparm nonsolid
polygonoffset
qer_trans 0.75
{
	map	textures/xccc_box/box_bd_supplies_la.tga
	blendfunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
} 
} 

textures/xccc_box/box_bd_supplies_lb
{
surfaceparm nomarks
surfaceparm trans
surfaceparm nonsolid
nopicmip
polygonoffset
qer_trans 0.75
{
	map textures/xccc_box/box_bd_supplies_lb.tga
	blendfunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
} 
} 

textures/xccc_box/box_bd_supplies_weapon
{
surfaceparm nomarks
surfaceparm trans
nopicmip
surfaceparm nonsolid
polygonoffset
qer_trans 0.75
{
	map	textures/xccc_box/box_bd_supplies_weapon.tga
	
	blendfunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
} 
} 

textures/xccc_box/box_bd_supplies_hav
{
surfaceparm nomarks
nopicmip
surfaceparm trans
surfaceparm nonsolid
polygonoffset
qer_trans 0.75
{
	map	textures/xccc_box/box_bd_supplies_hav.tga
	
	blendfunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
} 
} 

textures/xccc_box/box_bd_helipad
{
surfaceparm nomarks
nopicmip
surfaceparm trans
surfaceparm nonsolid
polygonoffset
qer_trans 0.75
{
	map	textures/xccc_box/box_bd_helipad.tga
	
	blendfunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
} 
} 

textures/xccc_box/box_bd_laba
{
surfaceparm nomarks
nopicmip
surfaceparm trans
surfaceparm nonsolid
polygonoffset
qer_trans 0.75
{
	map	textures/xccc_box/box_bd_laba.tga
	
	blendfunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
} 
} 

textures/xccc_box/box_bd_labb
{
surfaceparm nomarks
nopicmip
surfaceparm trans
surfaceparm nonsolid
polygonoffset
qer_trans 0.75
{
	map	textures/xccc_box/box_bd_labb.tga
	
	blendfunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
} 
} 

textures/xccc_box/box_cable1
{
surfaceparm nomarks
nopicmip
surfaceparm trans
surfaceparm nonsolid
q3map_nonplanar 
q3map_shadeangle 180
qer_Trans 0.5
polygonoffset
{
	map	textures/xccc_box/box_cable1.tga
	rgbgen identity
	blendfunc BLEND
	alphafunc GE128
	depthwrite
} 
{
	map $lightmap 
	blendfunc filter
	rgbgen identity
	depthfunc equal
} 
}

textures/xccc_box/box_cable2
{
surfaceparm nomarks
surfaceparm trans
nopicmip
surfaceparm nonsolid
q3map_nonplanar 
q3map_shadeangle 180
qer_Trans 0.5
polygonoffset
{
	map	textures/xccc_box/box_cable2.tga
	rgbgen identity
	blendfunc BLEND
	alphafunc GE128
	depthwrite
} 
{
	map $lightmap 
	blendfunc filter
	rgbgen identity
	depthfunc equal
} 
} 

textures/xccc_box/box_cable3
{
surfaceparm nomarks
surfaceparm trans
nopicmip
surfaceparm nonsolid
qer_Trans 0.5
q3map_nonplanar 
q3map_shadeangle 180
{
	map	textures/xccc_box/box_cable3.tga
	rgbgen identity
	blendfunc BLEND
	alphafunc GE128
	depthwrite
} 
{
	map $lightmap
	blendfunc filter
	rgbgen identity
	depthfunc equal
} 
}

textures/base_trim/wires01b
{
    cull disable
    surfaceparm trans	
        {
                map textures/base_trim/wires01.tga
                alphaFunc GE128
		blendfunc blend
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

textures/xccc_box/box_lightgrate1
{
qer_editorimage textures/xccc_box/box_lightgrate1.tga
cull none
nopicmip
q3map_forcemeta
qer_alphafunc gequal 0.5
q3map_nonplanar
q3map_shadeangle 180
{
	map	textures/xccc_box/box_lightgrate1.tga
	blendfunc gl_one gl_zero
	alphafunc GE128
	depthwrite 
	rgbgen identity
} 
{
	map 	$lightmap
	blendfunc filter
	depthfunc equal
	rgbgen identity
}
} 

textures/xccc_6/bluelight_on_x
{
  surfaceparm nolightmap
  q3map_surfacelight 7500
  qer_editorimage textures/proto2/bluelight_on.tga

	{
		map textures/proto2/bluelight_on.tga
		rgbGen wave sawtooth 0.25 1 0.5 1
	}
       
}

textures/xccc_box/box_fx_jpad
{
qer_editorimage textures/xccc_box/box_fx_jumpflare1.tga
surfaceparm trans
nopicmip
surfaceparm nonsolid
q3map_surfacelight 2000
surfaceparm lightfilter
surfaceparm nolightmap
{
		map textures/xccc_box/box_fx_jumpflare1.jpg
		tcmod rotate 512
		blendfunc add
}
{
		map textures/xccc_box/box_fx_jumpcircle.jpg
		blendfunc add
		tcmod rotate -4096
}
{
		map textures/xccc_box/box_fx_jumpcircle.jpg
		blendfunc add
		tcmod rotate 4096
}
{
		map textures/xccc_box/box_fx_burncycle.jpg
		rgbGen wave sin 0 1 0 0.25
		tcmod rotate 2
		blendfunc add
}
{
		map $lightmap
		rgbgen identity
		blendfunc filter
}
}

textures/xccc_box/box_tele_grate1
{
qer_editorimage textures/xccc_box/box_tele_grate1.tga
cull none
nopicmip
surfaceparm alphashadow
q3map_forcemeta
qer_alphafunc gequal 0.5
sort 8

{
	map	textures/xccc_6/specular.tga
	alphagen const 0.5
	tcgen environment
	blendfunc add
	rgbgen identity
	depthwrite
}
{
	map	textures/xccc_box/box_tele_grate1.tga
	blendfunc blend
	alphafunc GE128
	depthwrite 
	rgbgen identity
} 
{
	map 	$lightmap
	blendfunc filter
	depthfunc equal
	rgbgen identity
}
} 

textures/xccc_6/x_floor_o
{
surfaceparm alphashadow
nopicmip
cull none
nopicmip
{
map textures/xccc_6/x_floor_o.tga
blendFunc GL_ONE GL_ZERO
alphaFunc GE128
depthWrite
rgbGen identity
}
{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}

textures/xccc_box/box_floorgrate1
{
qer_editorimage textures/xccc_box/box_floorgrate1.tga
cull none
nopicmip
surfaceparm alphashadow
q3map_forcemeta
qer_alphafunc gequal 0.5
{
	map	textures/xccc_box/box_floorgrate1.tga
	blendfunc gl_one gl_zero
	alphafunc GE128
	depthwrite 
	rgbgen identity
} 
{
	map 	$lightmap
	blendfunc filter
	depthfunc equal
	rgbgen identity
}
} 


textures/xccc_box/box_fxmachine1
{
qer_editorimage textures/xccc_box/box_fxmachine1.tga
cull none
surfaceparm trans
nopicmip
qer_alphafunc gequal 0.5
{
	map	textures/xccc_box/box_fxmachine1.tga
	blendfunc blend
	alphafunc GE128
	tcMod scroll 0 1
	depthwrite 
	rgbgen identity
} 
{
	map 	$lightmap
	blendfunc filter
	depthfunc equal
	rgbgen identity
}
} 

textures/xccc_box/box_doorangle
{
surfaceparm nomarks
nopicmip
cull disable
surfaceparm trans
surfaceparm nonsolid
polygonoffset
qer_trans 0.75
{
	map	textures/xccc_box/box_doorangle.tga
	blendfunc blend
	alphafunc GE128
	depthwrite 
	rgbgen identity
} 
{
	map 	$lightmap
	blendfunc filter
	depthfunc equal
	rgbgen identity
}
} 

textures/xccc_box/box_trash
{
surfaceparm nomarks
nopicmip
cull disable
surfaceparm trans
surfaceparm nonsolid
polygonoffset
qer_alphafunc gequal 0.5
{
	map	textures/xccc_box/box_trash.tga
	rgbgen identity
	blendfunc blend
	alphafunc GE128
	depthwrite 
} 
{
	map 	$lightmap
	blendfunc filter
	depthfunc equal
	rgbgen identity
}
} 

textures/xccc_box/redflare
{
    cull disable
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nolightmap

	{
		clampmap textures/xccc_box/redflare.tga
                tcmod rotate 10
		blendFunc Add
		rgbGen identity
	}
}

textures/xccc_box/blueflare
{
    cull disable
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nolightmap

	{
		clampmap textures/xccc_box/blueflare.tga
                tcmod rotate 10
		blendFunc Add
		rgbGen identity
	}
}

textures/dm18/x_grass1
{
qer_editorimage textures/dm18/x_grass1.tga
cull none
surfaceparm trans
q3map_forcemeta

{
	map	textures/dm18/x_grass1.tga
	blendfunc gl_one gl_zero
	alphafunc GE128
	depthwrite 
	rgbgen identity
} 
{
	map 	$lightmap
	blendfunc filter
	depthfunc equal
	rgbgen identity
}
} 

textures/xccc4/leave4
{
surfaceparm trans

surfaceparm nonsolid
cull none
nopicmip
{
map textures/xccc4/leave4.tga
blendFunc GL_ONE GL_ZERO
alphaFunc GE128
depthWrite
rgbGen identity
}
{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}

}
textures/xccc_box/box_sidewalk
{
qer_editorimage textures/xccc_box/box_sidewalk.tga
nopicmip
cull none
surfaceparm alphashadow
q3map_forcemeta
q3map_nonplanar
qer_alphafunc gequal 0.5
{
	map	textures/xccc_box/box_sidewalk.tga
	blendfunc gl_one gl_zero
	alphafunc GE128
	depthwrite 
	rgbgen identity
} 
{
	map 	$lightmap
	blendfunc filter
	depthfunc equal
	rgbgen identity
}
}

textures/xccc_box/box_support
{
qer_editorimage textures/xccc_box/box_support.tga
qer_alphafunc gequal 0.5
cull none
surfaceparm alphashadow
{
map textures/xccc_box/box_support.tga
blendfunc gl_one gl_zero
alphaFunc GE128
depthWrite
rgbgen identity
}
{
map $lightmap
depthfunc equal
blendfunc filter
rgbgen identity
}
}
